#! /bin/sh
# Copyright © 2011 Aleksey Cherepanov <aleksey.4erepanov@gmail.com>.  See LICENSE.
# Script to kill all John by attack number
# Usage: killsession [N]
#        If N is omitted then last attack will be killed.

. ./config.sh

# We determine attack number.
n=$1
[ -z $n ] && n=$(cat attacks.count)

# We find all Johns in this attack and kill them.
ps -A -o pid,cmd | grep -- "$JOHN -session:$ATTACK_PREFIX$n" | grep -v grep | while read pid cmd; do
    kill $pid
done
