#! /bin/sh
# Copyright © 2011 Aleksey Cherepanov <aleksey.4erepanov@gmail.com>.  See LICENSE.
# Script to start John against all types/files we have
# Usage: runalltypes.sh <additional parameters for John>

. ./config.sh

# We increase attacks count.
attack=$(expr $(cat attacks.count) + 1)
echo $attack > attacks.count
echo Your attack was numbered as $attack

# We traverse all files listed in configuration file.
# TODO: Accept auto format detecting
while read type file; do
    # For each file we start John.
    session=$ATTACK_PREFIX$attack$TYPE_PREFIX$type
    $JOHN -session:$session -format:"$type" "$file" "$@" >$session.out &
done < typed_files.list
