# -*- coding: utf-8 -*-
# Copyright © 2011 Aleksey Cherepanov <aleksey.4erepanov@gmail.com>.  See LICENSE.
# Script to compute size of intersection of files
# Usage: intersection.py file1 file2

import sys

# We read files in memory as sets.
sets = []
for file_name in sys.argv[1:]:
    with open(file_name) as f:
        sets.append(set(f.readlines()))

print(len(sets[0].intersection(sets[1])))
