#! /bin/sh
# Copyright © 2011 Aleksey Cherepanov <aleksey.4erepanov@gmail.com>.  See LICENSE.
# Script for rule trying
# Usage: tryrule.sh word rule1 [rule2 ...]

. ./config.sh

# We put word in temporary wordlist.
echo "$1" > tryrule.lst
shift

# We put rules into temporary configuration file.
cp $JOHN_DIR/john.conf tryrule.conf
echo >> tryrule.conf
echo '[List.Rules:tryrule]' >> tryrule.conf
for rule; do
    echo "$rule" >> tryrule.conf
done

# Start john
$JOHN -conf:tryrule.conf -w:tryrule.lst -ru:tryrule -stdout | less
